Super-shortcuts for apps, files, and workspace switcher

Bug #617356 reported by Mikkel Kamstrup Erlandsen on 2010-08-13
50
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Ayatana Design
High
John Lea
Unity
Confirmed
Medium
Didier Roche
unity-2d
Medium
Ugo Riboni
unity-lens-applications
Medium
Didier Roche
unity-lens-files
Medium
Didier Roche
unity (Ubuntu)
Wishlist
Unassigned
unity-place-applications (Ubuntu)
Undecided
Unassigned
unity-place-files (Ubuntu)
Undecided
Unassigned

Bug Description

The recently landed application shortcuts with Super+{1..9} is a wicked way to focus and launch apps.

I quickly find that I want a way to access the files- and apps place as well, and also the workspace switcher (which will then require keyboard nav for window selection).

Maybe I am just a tiny bit biased because I am the maintainer of u-p-a and u-p-f though - so feel free to wave me off ;-)

Desired solution:

- Super+A should open the Applications Place
- Super+F should open the Files Place
- Super+T should open Deleted Items
- Super on its own should toggle the Dash
- should show all windows for the

Related branches

Neil J. Patel (njpatel) on 2010-08-18
Changed in unity:
assignee: nobody → Gord Allott (gordallott)
importance: Undecided → Wishlist
milestone: none → backlog
status: New → Confirmed
fosk (oscarrdg) wrote :

I also think it could be an interesting addition:
Super+f -> files place
Super+a -> apps place
Super+w -> workspace switcher

(btw, all of them are at the left side of the keyboard (spanish version, at least)... then easy to use shortcuts!)

The idea of having a "contacts dash" (https://lists.launchpad.net/ayatana/msg03509.html) could also be improved with the shortcut Super+c

Yes, I think these named places could well be served with shortcuts as
you describe. +1 for the moment, pending further consideration of how
the namespace might fragment with additional places.

Mark

Omer Akram (om26er) on 2010-09-16
Changed in unity (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged

+1
The only thing that prevents me from using Unity on my laptop on day-to-day basis is the lack of the above shortcuts. With those shortcuts implemented (apart from the "desktop expose" view it would be great to have an additional view of the windows on the current workspace, eg. super+e for 'desktop expose' and super+w for 'current workspace expose'), for me, it is the desktop of the future.

Thanks

Mark Shuttleworth (sabdfl) wrote :

OK, this warrants consideration for 11.04. How are such system-level
shortcuts internationalised? The words for "desktop", "workspace" and
"expose" are likely different across languages, do the shortcuts change
by language typically, or are they global?

Mark

in compiz, they are global, but customizable: super+e → expose; super+w → all windows on the current desktop; super+a → all windows. gnome-shell and unity put the expose mode together with the "all windows" view, wich is why I find both better than compiz in terms of window management; what makes unity better than gnome-shell, in my opinion, is the side bar which is just perfect in terms of usability and the alt+tab window switcher, which only shows the windows on the given workspace (in gnome-shel this is a major annoyance). I would suggest one more shortcut: super+space for the "main menu" (when you click on the ubuntu icon) & make the results browsable with the arrow keys. that would make unity a fast, responsive, out-of-your-way shell - just gorgeous.

Thanks for listening,

krzysztof

Mark Shuttleworth (sabdfl) wrote :

 status confirmed

The design guidance on this is that:

 * Super+A should open the Applications Place
 * Super+F should open the Files Place
 * Super+D should open Deleted Items
 * Super on its own should toggle the Dash
 * should show all windows for the

I'm happy to update the relevant spec with this information if one of
the Unity develoeprs points me in the right direction :-)

I'm considering the shortcuts for window reveals. We have an app reveal
(all windows in the app), and a workspace reveal (all windows in the
workspace) and then of course the maxi reveal of all windows across all
workspaces. I think a single shortcut might be enough (repeated use
zooms out). Perhaps Super+W ?

Mark

Changed in unity (Ubuntu):
status: Triaged → Confirmed
Omer Akram (om26er) wrote :

ctrl+alt+d was changed to Super+D in Maverick to show desktopf so thats a conflict.

What about super+t (Trash)?
There is one more thing - in gnome, when no window is active, shortcuts don't work - eg. try to summon gnome-do with all windows down, and the desktop inactive. In unity, if all windows are hidden (super+d), or none open, there is no way to summon gnome-do (in gnome you had to click the desktop first). Is there a way to address that?

Mark Shuttleworth (sabdfl) wrote :

 On 06/10/10 15:08, christopher pijarski wrote:
> There is one more thing - in gnome, when no window is active, shortcuts don't work - eg. try to summon gnome-do with all windows down, and the desktop inactive. In unity, if all windows are hidden (super+d), or none open, there is no way to summon gnome-do (in gnome you had to click the desktop first). Is there a way to address that?

What would the shortcut be for Gnome Do?

Mark Shuttleworth (sabdfl) wrote :

 On 06/10/10 08:25, Omer Akram wrote:
> ctrl+alt+d was changed to Super+D in Maverick to show desktopf so thats
> a conflict.

Ah, good point!

I considered Super+Del but it feels like playing with razor blades even
doing it myself :-)

Super+T would work too.

Mark

as a default, gnome-do uses super+space, so in unity you have to change to ctrl+space for example, but there is no way to get it to work, unless you have window open and focused.

Vish (vish) wrote :

>
> I considered Super+Del but it feels like playing with razor blades even
> doing it myself :-)
>
> Super+T would work too.
>

Hmm, "T" would conflict with locales which dont name it as "Trash".
example UK locale names the "Trash" as "Rubbish Bin". so using "Super+T" would be confusing there.

So, would this be configurable?

Erlan Sergaziev (sergeant) wrote :

Trash is such a rarely used feature that I don't think it deserves a convenient shortcut.
I'd suggest Super+# (i.e. Super+Shift+3), Super+- (minus) or Super+` (back tick) could also do.

Instead, I'd reserve Super+T to Terminal, a much more used and logical application.
I'd also suggest: Super+B for default browser, Super+M for default mail client and something for Nautilus (Super+Home?).

P.S. I know about existence of Ctrl+Alt+T, but that's not as convenient.

Erlan Sergaziev (sergeant) wrote :

Or we should encourage it to rarely used :)

Mark Shuttleworth (sabdfl) wrote :

 On 06/10/10 17:33, Erlan Sergaziev wrote:
> Trash is such a rarely used feature that I don't think it deserves a convenient shortcut.
> I'd suggest Super+# (i.e. Super+Shift+3), Super+- (minus) or Super+` (back tick) could also do.
>
> Instead, I'd reserve Super+T to Terminal, a much more used and logical application.
> I'd also suggest: Super+B for default browser, Super+M for default mail client and something for Nautilus (Super+Home?).
>
> P.S. I know about existence of Ctrl+Alt+T, but that's not as convenient.

For our user base, the terminal is not a priority. The fact that you
know about Ctrl-Alt-T suggests it's appropriate :-)

@Vish, I asked about internationalisation earlier and the view was that
shortcuts tend to be what they are, in all languages. We can't hope to
find a single letter that maps to a concept like "Trash", there's even a
difference between the US and UK there, with Wastebasket, Trash and
Deleted Items all in common use.

Mark

Vish (vish) wrote :

Mark, Oh! i just realized your earlier suggestion:
 * Super+D should open Deleted Items

might be better.
The Super+D shortcut was with metacity, and since we dont really have a Desktop in Unity. It dont think its an issue.
Also, In Gnome3 Nautilus will *not* be drawing the desktop either. So the show desktop conflict is a non-issue

Vish (vish) wrote :

/me dint cause the confusion though ;p

David Barth (dbarth) wrote :

We need a consolidated spec for the shortcuts.
While refining this, keep in mind that a11y users are heavily relying on shortcuts and so might point out more potential conflicts and "habits" to take into account.

Changed in unity:
assignee: Gord Allott (gordallott) → nobody
importance: Wishlist → Medium
milestone: backlog → none
tags: added: backlog
David Barth (dbarth) on 2010-11-08
tags: added: a11y
Neil J. Patel (njpatel) on 2010-12-01
Changed in unity:
assignee: nobody → Jason Smith (jassmith)
milestone: none → 3.2.10
status: Confirmed → Triaged
Neil J. Patel (njpatel) on 2011-01-18
Changed in unity:
milestone: 3.2.10 → 3.2.16
Changed in unity-2d:
importance: Undecided → Medium
status: New → Triaged
Neil J. Patel (njpatel) on 2011-01-27
Changed in unity:
milestone: 3.2.16 → 3.6
Changed in unity-2d:
milestone: none → 3.6
Neil J. Patel (njpatel) on 2011-02-07
Changed in unity:
milestone: 3.6 → 3.4.6
Changed in unity-2d:
assignee: nobody → Ugo Riboni (uriboni)
Didier Roche (didrocks) on 2011-02-21
Changed in unity:
assignee: Jason Smith (jassmith) → Didier Roche (didrocks)
Didier Roche (didrocks) on 2011-02-21
Changed in unity (Ubuntu):
status: Confirmed → Triaged
Changed in unity-2d:
milestone: 3.6 → none
Didier Roche (didrocks) wrote :

Ok, all the plumbings are nearly done for that, however, there is still some key shortcut to discuss.
In lucid, the compiz keys have been reviewed in length by the design team and we have conflicting ones with the new ones.

Like, Super + A -> expose all windows from all workspaces
Super + W -> expose the focused window and all window from the same application on the same workspace
Super + E -> workspace expose mode (what should become Super + W seeing above)

Note that contrary to what have been told, Super + D is doing nothing.

So, there are some conflicts with the new proposal, what should be done? Changing the experience and people upgrading from lucid or maverick will trigger false positives (habits…)? What to set to the other keybindings (for the GNOME classic session for instance, like the workspace expose mode).

Also, another question: it's quite easy to make those key localizable (like "T" or "D" for the dash make no sense in French as it's "Corbeille"). I think this is a bad idea though as we should just have one shortcut that people speaking different language can share, Just mentioning it.

I'll merge the work as soon as something has been decided :)

Didier Roche (didrocks) wrote :

I should maybe add that there is no way to change the default for existing users. So, if they had Super + A for something, on upgrade, this is not an issue for the unity session as it's a new profile and Super + A will give the new shortcut we decided, but on the classic session, as it's the same old profile (gold rule, keep user configuration), Super + A will still be assigned to expose all windows from all workspaces.

Having two shortcuts doing different things on different sessions can be considered as bad.

Didier Roche (didrocks) wrote :

ok, putting a design follow up on my two last comments on bug #723273. I'm keeping this one has the technical one. adding the place task as we need to set the key there.

Changed in unity-place-applications:
status: New → Triaged
Changed in unity-place-files:
status: New → Triaged
Changed in unity-place-applications:
importance: Undecided → Medium
Changed in unity-place-files:
assignee: nobody → Didier Roche (didrocks)
Changed in unity-place-applications:
assignee: nobody → Didier Roche (didrocks)
Changed in unity-place-files:
importance: Undecided → Medium
Didier Roche (didrocks) on 2011-02-22
Changed in unity:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-02-23
Changed in unity-place-files:
status: Triaged → Fix Committed
Changed in unity-place-applications:
status: Triaged → Fix Committed
Changed in unity-place-files:
milestone: none → 0.5.38
status: Fix Committed → Fix Released
Changed in unity-place-applications:
milestone: none → 0.2.34
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-02-24
Changed in unity (Ubuntu):
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-02-24
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-applications - 0.2.34-0ubuntu1

---------------
unity-place-applications (0.2.34-0ubuntu1) natty; urgency=low

  * New upstream release.
    - dash - search string not always taken into account (LP: #701569)
    - Sync problems when restarting Unity place daemons (LP: #721289)
    - Super-shortcuts for apps, files, and workspace switcher (LP: #617356)
    - Place icons should be in their respective packages (LP: #672447)
  * debian/control:
    - bump release req.
 -- Didier Roche <email address hidden> Thu, 24 Feb 2011 20:11:50 +0100

Changed in unity-place-applications (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-files - 0.5.38-0ubuntu1

---------------
unity-place-files (0.5.38-0ubuntu1) natty; urgency=low

  * New upstream release.
    - dash - search string not always taken into account (LP: #701569)
    - Sync problems when restarting Unity place daemons (LP: #721289)
    - Super-shortcuts for apps, files, and workspace switcher (LP: #617356)
    - Place icons should be in their respective packages (LP: #672447)
  * update build-deps
 -- Didier Roche <email address hidden> Thu, 24 Feb 2011 20:12:32 +0100

Changed in unity-place-files (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.4.6-0ubuntu1

---------------
unity (3.4.6-0ubuntu1) natty; urgency=low

  * New upstream release.
    - dash times out (LP: #662618)
    - possible memory leak in compiz when using places, dashboard
      (LP:#720446)
    - compiz crashed with SIGSEGV in IconTexture::~IconTexture() (LP: #721907)
    - dash - search string not always taken into account (LP: #701569)
    - Unity allows you to Quit itself (LP: #705536)
    - invisible window border problems (LP: #710271)
    - Slowliness in the file places (LP: #710791)
    - add super shortcuts to the launcher - logic (LP: #721264)
    - key navigation doesn't activate trash, keys, expo or places
      (LP:#723141)
    - Super-shortcuts for apps, files, and workspace switcher (LP: #617356)
    - New launcher tile super key overlay aesthetic (LP: #646712)
    - add cursor-key navigation to quicklists (LP: #701543)
    - Super key should open Dash (LP: #706713)
    - Dash view should use "Prefferred Applications" icons where appropriate
      (LP: #708479)
    - some partitions appear with questionmark icon (LP: #710809)
    - Unity wrongly resizes thumbnails after first opening of Files place
      (LP:#721123)
    - Change the fading and showing curve effect when hovering the bfb
      (LP:#721125)
    - Recent files appear duplicated in the Dash (LP: #646758)
    - All Applications tab only shows first 100 applications (LP: #660979)
    - slide animation typo in unity configuration (LP: #723354)
    - Place icons should be in their respective packages (LP: #672447)
    - Trash right click menu is positioned incorrectly (LP: #718880)
    - Require to use gconf to check on unity and the panel-service if the
      accessibility should be enabled (LP: #723699)
  * debian/control:
    - dep on latest nux
 -- Didier Roche <email address hidden> Thu, 24 Feb 2011 20:16:29 +0100

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Sebastien Bacher (seb128) wrote :

the natty alpha3 versions still has those conflicts which means you can open the workspace expose or the application place with the keyboard since it triggers other effects at the same time, quite confusing

tags: added: delta-with-3d
Changed in unity-2d:
milestone: none → 3.10
Changed in unity-2d:
milestone: 3.10 → none
Florian Boucault (fboucault) wrote :

Shortcut for workspace switcher was implemented.
Missing shortcut for places is tracked by #732637

Changed in unity-2d:
status: Triaged → Fix Released
Aritchie (aritchie) wrote :

When you press the <super> key, the shortcuts for the applications, files places and trash are visible but not for the workspace switcher.

Olivier Tilloy (osomon) wrote :

Well spotted Adam, this is fixed by the following pending merge request: https://code.launchpad.net/~osomon/unity-2d/super-s-overlay/+merge/60376

Aritchie (aritchie) wrote :

I just downloaded and installed the latest build - bzr66 and yes it is fixed.

John Lea (johnlea) wrote :

Bug re-opened as "Super+A" and "Super+F" seem to be broken in Oneiric

description: updated
tags: added: onew udo
Changed in ayatana-design:
assignee: nobody → John Lea (johnlea)
importance: Undecided → High
status: New → Fix Committed
Changed in unity:
status: Fix Released → Confirmed
tags: removed: onew udo
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers